Jenkins is going to shut down

Console Output

Started by upstream project "CE_RM_jho_Push" build number 320
originally caused by:
 Started by upstream project "CE_gpfit_Push_unit_tests" build number 147
 originally caused by:
  Started by user galbramc
Running as galbramc
[EnvInject] - Loading node environment variables.
Building remotely on macys_VM in workspace /Users/jenkins/workspace/CE_RM_jho_Push/mosek
The recommended git tool is: NONE
using credential 3614a4cf-01de-4393-97de-73734b7dd5a2
Wiping out workspace first.
Cloning the remote Git repository
 > JGit fetch # timeout=10
remote: Enumerating objects
Receiving objects
Resolving deltas
Avoid second fetch
Checking out Revision c758e2e9c89975c8e8efb1c204aeeed07cfbc0ee (origin/master)
Commit message: "in preparation for convexengineering/gpkit#1463"
The recommended git tool is: NONE
using credential 3614a4cf-01de-4393-97de-73734b7dd5a2
The recommended git tool is: NONE
using credential 3614a4cf-01de-4393-97de-73734b7dd5a2
[GitCheckoutListener] Recording commits of 'git https://github.com/convexengineering/jho'
[GitCheckoutListener] Found previous build 'CE_RM_jho_Push/buildnode=macys_VM,optimizer=mosek #319' that contains recorded Git commits
[GitCheckoutListener] -> Starting recording of new commits since 'c758e2e'
[GitCheckoutListener] -> Single parent commit found - branch is already descendant of target branch head
[GitCheckoutListener] -> Using head commit 'c758e2e' as starting point
[GitCheckoutListener] -> No new commits found
[GitCheckoutListener] -> Git commit decorator successfully obtained 'hudson.plugins.git.browser.GithubWeb@3d89a8c0' to render commit links
Run condition [Execution node ] enabling prebuild for step [Execute shell]
Run condition [Execution node ] enabling prebuild for step [Execute Windows batch command]
[Execution node] check if [macys_VM] is in [[macys, macys_VM, reynolds, reynolds-ubuntu16]]
Run condition [Execution node ] enabling perform for step [Execute shell]
[mosek] $ /bin/bash -xe /var/folders/qk/9zkf0syn149fvhw9mh7hgd5w0000gp/T/jenkins13908760480445726121.sh
+ git clone ssh://acdl.mit.edu/home/svnroot/JenkinsGPkit
Cloning into 'JenkinsGPkit'...
+ source /Users/jenkins/workspace/CE_RM_jho_Push/mosek/JenkinsGPkit/RM_Template.sh
++ source /Users/jenkins/workspace/CE_RM_jho_Push/mosek/JenkinsGPkit/all_machines.sh
+++ export PYTHONHASHSEED=0
+++ PYTHONHASHSEED=0
+++ echo 'Python hash seed set to: 0'
Python hash seed set to: 0
+++ [[ macys_VM == *macys* ]]
+++ export PATH=/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/
+++ PATH=/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/
+++ virtualenv --python=python3 /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins
created virtual environment CPython3.10.6.final.0-64 in 599ms
  creator CPython3Posix(dest=/Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins, clear=False, no_vcs_ignore=False, global=False)
  seeder FromAppData(download=False, pip=bundle, setuptools=bundle, wheel=bundle, via=copy, app_data_dir=/Users/jenkins/Library/Application Support/virtualenv)
    added seed packages: pip==22.2.2, setuptools==65.4.1, wheel==0.37.1
  activators BashActivator,CShellActivator,FishActivator,NushellActivator,PowerShellActivator,PythonActivator
+++ source /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/activate
++++ '[' /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/activate = /var/folders/qk/9zkf0syn149fvhw9mh7hgd5w0000gp/T/jenkins13908760480445726121.sh ']'
++++ deactivate nondestructive
++++ unset -f pydoc
++++ '[' -z '' ']'
++++ '[' -z '' ']'
++++ hash -r
++++ '[' -z '' ']'
++++ unset VIRTUAL_ENV
++++ '[' '!' nondestructive = nondestructive ']'
++++ VIRTUAL_ENV=/Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins
++++ '[' darwin19 = cygwin ']'
++++ '[' darwin19 = msys ']'
++++ export VIRTUAL_ENV
++++ _OLD_VIRTUAL_PATH=/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/
++++ PATH=/Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/
++++ export PATH
++++ '[' -z '' ']'
++++ '[' -z '' ']'
++++ _OLD_VIRTUAL_PS1=
++++ '[' x '!=' x ']'
+++++ basename /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins
++++ PS1='(venv_jenkins) '
++++ export PS1
++++ alias pydoc
++++ true
++++ hash -r
+++ ls /Users/jenkins/workspace/CE_RM_jho_Push/mosek
JenkinsGPkit
README.md
TESTCONFIG
TESTS
__init__.py
documentation
model
runtests.sh
venv_jenkins
++++ which pip
+++ export PIP=/Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip
+++ PIP=/Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip
+++ pip_install pip
+++ python /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip install --upgrade pip
Requirement already satisfied: pip in ./venv_jenkins/lib/python3.10/site-packages (22.2.2)
Collecting pip
  Using cached pip-22.3-py3-none-any.whl (2.1 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 22.2.2
    Uninstalling pip-22.2.2:
      Successfully uninstalled pip-22.2.2
Successfully installed pip-22.3

real	0m3.725s
user	0m2.080s
sys	0m0.758s
++ source /Users/jenkins/workspace/CE_RM_jho_Push/mosek/JenkinsGPkit/mosek_installs.sh
+++ [[ mosek == mosek ]]
+++ [[ macys_VM == *reynolds* ]]
+++ [[ macys_VM == *macys* ]]
+++ export PATH=/Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/:/Users/jenkins/mosek/9.1/tools/platform/osx64x86/bin
+++ PATH=/Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin/:/Users/jenkins/mosek/9.1/tools/platform/osx64x86/bin
+++ export DYLD_LIBRARY_PATH=:/Users/jenkins/mosek/9.1/tools/platform/osx64x86/bin
+++ DYLD_LIBRARY_PATH=:/Users/jenkins/mosek/9.1/tools/platform/osx64x86/bin
+++ python /Users/jenkins/mosek/9.1/tools/platform/osx64x86/python/3/setup.py install
running install
running build
running build_py
running build_ext
copying mosek/_msk.abi3.so -> build/lib.macosx-10.15-x86_64-cpython-310/mosek
copying mosek/fusion/impl/fragments.abi3.so -> build/lib.macosx-10.15-x86_64-cpython-310/mosek/fusion/impl
running install_lib
creating /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek
creating /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek/fusion
creating /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek/fusion/impl
copying build/lib.macosx-10.15-x86_64-cpython-310/mosek/fusion/impl/fragments.abi3.so -> /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek/fusion/impl
copying build/lib.macosx-10.15-x86_64-cpython-310/mosek/fusion/impl/__init__.py -> /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek/fusion/impl
copying build/lib.macosx-10.15-x86_64-cpython-310/mosek/fusion/impl/_implementation.py -> /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek/fusion/impl
copying build/lib.macosx-10.15-x86_64-cpython-310/mosek/fusion/__init__.py -> /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek/fusion
copying build/lib.macosx-10.15-x86_64-cpython-310/mosek/fusion/Utils.py -> /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek/fusion
copying build/lib.macosx-10.15-x86_64-cpython-310/mosek/__init__.py -> /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek
copying build/lib.macosx-10.15-x86_64-cpython-310/mosek/_msk.abi3.so -> /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek
byte-compiling /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek/fusion/impl/__init__.py to __init__.cpython-310.pyc
byte-compiling /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek/fusion/impl/_implementation.py to _implementation.cpython-310.pyc
byte-compiling /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek/fusion/__init__.py to __init__.cpython-310.pyc
byte-compiling /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek/fusion/Utils.py to Utils.cpython-310.pyc
byte-compiling /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek/__init__.py to __init__.cpython-310.pyc
running install_egg_info
running egg_info
writing Mosek.egg-info/PKG-INFO
writing dependency_links to Mosek.egg-info/dependency_links.txt
writing top-level names to Mosek.egg-info/top_level.txt
reading manifest file 'Mosek.egg-info/SOURCES.txt'
writing manifest file 'Mosek.egg-info/SOURCES.txt'
Copying Mosek.egg-info to /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/Mosek-9.1.11-py3.10.egg-info
Fixing library paths
copying /Users/jenkins/mosek/9.1/tools/platform/osx64x86/bin/libcilkrts.5.dylib -> /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek/
/Library/Developer/CommandLineTools/usr/bin/install_name_tool: warning: changes being made to the file will invalidate the code signature in: /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek/libcilkrts.5.dylib (for architecture i386)
/Library/Developer/CommandLineTools/usr/bin/install_name_tool: warning: changes being made to the file will invalidate the code signature in: /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek/libcilkrts.5.dylib (for architecture x86_64)
copying /Users/jenkins/mosek/9.1/tools/platform/osx64x86/bin/libmosek64.9.1.dylib -> /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek/
Installing preloader module
writing /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/mosek/_mskpreload.py
+++ msktestlic
Mosek license manager: License path: /Users/jenkins/mosek/mosek.lic
Mosek license manager:  Checkout license feature 'PTS' from flexlm.
Mosek license manager:  Checkout time 0.01. r: 0 status: 0
Problem
  Name                   :                 
  Objective sense        : min             
  Type                   : LO (linear optimization problem)
  Constraints            : 1               
  Cones                  : 0               
  Scalar variables       : 5000            
  Matrix variables       : 0               
  Integer variables      : 0               

Optimizer started.
Presolve started.
Eliminator started.
Freed constraints in eliminator : 0
Eliminator terminated.
Eliminator started.
Freed constraints in eliminator : 0
Eliminator terminated.
Eliminator - tries                  : 2                 time                   : 0.00            
Lin. dep.  - tries                  : 0                 time                   : 0.00            
Lin. dep.  - number                 : 0               
Presolve terminated. Time: 0.00    
Optimizer terminated. Time: 0.00    

************************************
A license was checked out correctly.
************************************
+++ export 'GPKITSOLVERS=mosek_cli, mosek_conif'
+++ GPKITSOLVERS='mosek_cli, mosek_conif'
+++ COVERAGE_OMIT=gpkit/solvers/cvxopt.py
++ source /Users/jenkins/workspace/CE_RM_jho_Push/mosek/JenkinsGPkit/cvxopt_installs.sh
+++ [[ mosek == cvxopt ]]
++ source /Users/jenkins/workspace/CE_RM_jho_Push/mosek/JenkinsGPkit/pip_installs_base.sh
+++ pip_install adce
+++ python /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip install --upgrade adce
Collecting adce
  Using cached adce-1.3.3.2-py3-none-any.whl
Installing collected packages: adce
Successfully installed adce-1.3.3.2

real	0m0.559s
user	0m0.438s
sys	0m0.086s
+++ pip_install unittest-xml-reporting
+++ python /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip install --upgrade unittest-xml-reporting
Collecting unittest-xml-reporting
  Using cached unittest_xml_reporting-3.2.0-py2.py3-none-any.whl (20 kB)
Collecting lxml
  Using cached lxml-4.9.1-cp310-cp310-macosx_10_15_x86_64.whl
Installing collected packages: lxml, unittest-xml-reporting
Successfully installed lxml-4.9.1 unittest-xml-reporting-3.2.0

real	0m1.383s
user	0m0.879s
sys	0m0.138s
+++ pip_install pandas
+++ python /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip install --upgrade pandas
Collecting pandas
  Using cached pandas-1.5.1-cp310-cp310-macosx_10_9_x86_64.whl (12.0 MB)
Collecting pytz>=2020.1
  Using cached pytz-2022.5-py2.py3-none-any.whl (500 kB)
Collecting numpy>=1.21.0
  Using cached numpy-1.23.4-cp310-cp310-macosx_10_9_x86_64.whl (18.1 MB)
Collecting python-dateutil>=2.8.1
  Using cached python_dateutil-2.8.2-py2.py3-none-any.whl (247 kB)
Collecting six>=1.5
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Installing collected packages: pytz, six, numpy, python-dateutil, pandas
Successfully installed numpy-1.23.4 pandas-1.5.1 python-dateutil-2.8.2 pytz-2022.5 six-1.16.0

real	0m10.595s
user	0m6.752s
sys	0m1.768s
+++ pip_install matplotlib
+++ python /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip install --upgrade matplotlib
Collecting matplotlib
  Using cached matplotlib-3.6.1-cp310-cp310-macosx_10_12_x86_64.whl (7.3 MB)
Requirement already satisfied: python-dateutil>=2.7 in ./venv_jenkins/lib/python3.10/site-packages (from matplotlib) (2.8.2)
Collecting fonttools>=4.22.0
  Using cached fonttools-4.38.0-py3-none-any.whl (965 kB)
Requirement already satisfied: numpy>=1.19 in ./venv_jenkins/lib/python3.10/site-packages (from matplotlib) (1.23.4)
Collecting kiwisolver>=1.0.1
  Using cached kiwisolver-1.4.4-cp310-cp310-macosx_10_9_x86_64.whl (65 kB)
Collecting packaging>=20.0
  Using cached packaging-21.3-py3-none-any.whl (40 kB)
Collecting cycler>=0.10
  Using cached cycler-0.11.0-py3-none-any.whl (6.4 kB)
Collecting pillow>=6.2.0
  Using cached Pillow-9.2.0-cp310-cp310-macosx_10_10_x86_64.whl (3.1 MB)
Collecting pyparsing>=2.2.1
  Using cached pyparsing-3.0.9-py3-none-any.whl (98 kB)
Collecting contourpy>=1.0.1
  Using cached contourpy-1.0.5-cp310-cp310-macosx_10_9_x86_64.whl (241 kB)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.10/site-packages (from python-dateutil>=2.7->matplotlib) (1.16.0)
Installing collected packages: pyparsing, pillow, kiwisolver, fonttools, cycler, contourpy, packaging, matplotlib
Successfully installed contourpy-1.0.5 cycler-0.11.0 fonttools-4.38.0 kiwisolver-1.4.4 matplotlib-3.6.1 packaging-21.3 pillow-9.2.0 pyparsing-3.0.9

real	0m5.579s
user	0m3.629s
sys	0m0.739s
+++ pip_install coverage
+++ python /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip install --upgrade coverage
Collecting coverage
  Using cached coverage-6.5.0-cp310-cp310-macosx_10_9_x86_64.whl (185 kB)
Installing collected packages: coverage
Successfully installed coverage-6.5.0

real	0m1.447s
user	0m1.196s
sys	0m0.161s
+++ pip_install ipywidgets
+++ python /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip install --upgrade ipywidgets
Collecting ipywidgets
  Using cached ipywidgets-8.0.2-py3-none-any.whl (134 kB)
Collecting traitlets>=4.3.1
  Using cached traitlets-5.5.0-py3-none-any.whl (107 kB)
Collecting ipykernel>=4.5.1
  Using cached ipykernel-6.16.1-py3-none-any.whl (138 kB)
Collecting widgetsnbextension~=4.0
  Using cached widgetsnbextension-4.0.3-py3-none-any.whl (2.0 MB)
Collecting jupyterlab-widgets~=3.0
  Using cached jupyterlab_widgets-3.0.3-py3-none-any.whl (384 kB)
Collecting ipython>=6.1.0
  Using cached ipython-8.5.0-py3-none-any.whl (752 kB)
Collecting matplotlib-inline>=0.1
  Using cached matplotlib_inline-0.1.6-py3-none-any.whl (9.4 kB)
Collecting tornado>=6.1
  Using cached tornado-6.2-cp37-abi3-macosx_10_9_x86_64.whl (419 kB)
Collecting pyzmq>=17
  Using cached pyzmq-24.0.1-cp310-cp310-macosx_10_15_universal2.whl (1.8 MB)
Collecting debugpy>=1.0
  Using cached debugpy-1.6.3-cp310-cp310-macosx_10_15_x86_64.whl (1.7 MB)
Collecting appnope
  Using cached appnope-0.1.3-py2.py3-none-any.whl (4.4 kB)
Collecting nest-asyncio
  Using cached nest_asyncio-1.5.6-py3-none-any.whl (5.2 kB)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.10/site-packages (from ipykernel>=4.5.1->ipywidgets) (21.3)
Collecting psutil
  Using cached psutil-5.9.3-cp310-cp310-macosx_10_9_x86_64.whl (242 kB)
Collecting jupyter-client>=6.1.12
  Using cached jupyter_client-7.4.4-py3-none-any.whl (132 kB)
Collecting pygments>=2.4.0
  Using cached Pygments-2.13.0-py3-none-any.whl (1.1 MB)
Collecting pickleshare
  Using cached pickleshare-0.7.5-py2.py3-none-any.whl (6.9 kB)
Collecting decorator
  Using cached decorator-5.1.1-py3-none-any.whl (9.1 kB)
Collecting stack-data
  Using cached stack_data-0.5.1-py3-none-any.whl (24 kB)
Collecting backcall
  Using cached backcall-0.2.0-py2.py3-none-any.whl (11 kB)
Collecting jedi>=0.16
  Using cached jedi-0.18.1-py2.py3-none-any.whl (1.6 MB)
Collecting prompt-toolkit<3.1.0,>3.0.1
  Using cached prompt_toolkit-3.0.31-py3-none-any.whl (382 kB)
Collecting pexpect>4.3
  Using cached pexpect-4.8.0-py2.py3-none-any.whl (59 kB)
Collecting parso<0.9.0,>=0.8.0
  Using cached parso-0.8.3-py2.py3-none-any.whl (100 kB)
Requirement already satisfied: python-dateutil>=2.8.2 in ./venv_jenkins/lib/python3.10/site-packages (from jupyter-client>=6.1.12->ipykernel>=4.5.1->ipywidgets) (2.8.2)
Collecting entrypoints
  Using cached entrypoints-0.4-py3-none-any.whl (5.3 kB)
Collecting jupyter-core>=4.9.2
  Using cached jupyter_core-4.11.2-py3-none-any.whl (88 kB)
Collecting ptyprocess>=0.5
  Using cached ptyprocess-0.7.0-py2.py3-none-any.whl (13 kB)
Collecting wcwidth
  Using cached wcwidth-0.2.5-py2.py3-none-any.whl (30 kB)
Requirement already satisfied: pyparsing!=3.0.5,>=2.0.2 in ./venv_jenkins/lib/python3.10/site-packages (from packaging->ipykernel>=4.5.1->ipywidgets) (3.0.9)
Collecting executing
  Using cached executing-1.1.1-py2.py3-none-any.whl (22 kB)
Collecting asttokens
  Using cached asttokens-2.0.8-py2.py3-none-any.whl (23 kB)
Collecting pure-eval
  Using cached pure_eval-0.2.2-py3-none-any.whl (11 kB)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.10/site-packages (from python-dateutil>=2.8.2->jupyter-client>=6.1.12->ipykernel>=4.5.1->ipywidgets) (1.16.0)
Installing collected packages: wcwidth, pure-eval, ptyprocess, pickleshare, executing, backcall, appnope, widgetsnbextension, traitlets, tornado, pyzmq, pygments, psutil, prompt-toolkit, pexpect, parso, nest-asyncio, jupyterlab-widgets, entrypoints, decorator, debugpy, asttokens, stack-data, matplotlib-inline, jupyter-core, jedi, jupyter-client, ipython, ipykernel, ipywidgets
Successfully installed appnope-0.1.3 asttokens-2.0.8 backcall-0.2.0 debugpy-1.6.3 decorator-5.1.1 entrypoints-0.4 executing-1.1.1 ipykernel-6.16.1 ipython-8.5.0 ipywidgets-8.0.2 jedi-0.18.1 jupyter-client-7.4.4 jupyter-core-4.11.2 jupyterlab-widgets-3.0.3 matplotlib-inline-0.1.6 nest-asyncio-1.5.6 parso-0.8.3 pexpect-4.8.0 pickleshare-0.7.5 prompt-toolkit-3.0.31 psutil-5.9.3 ptyprocess-0.7.0 pure-eval-0.2.2 pygments-2.13.0 pyzmq-24.0.1 stack-data-0.5.1 tornado-6.2 traitlets-5.5.0 wcwidth-0.2.5 widgetsnbextension-4.0.3

real	0m9.800s
user	0m5.620s
sys	0m1.540s
+++ pip_install ipysankeywidget
+++ python /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip install --upgrade ipysankeywidget
Collecting ipysankeywidget
  Using cached ipysankeywidget-0.4.2-py2.py3-none-any.whl (1.2 MB)
Requirement already satisfied: ipywidgets>=7.0.0 in ./venv_jenkins/lib/python3.10/site-packages (from ipysankeywidget) (8.0.2)
Requirement already satisfied: ipykernel>=4.5.1 in ./venv_jenkins/lib/python3.10/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (6.16.1)
Requirement already satisfied: widgetsnbextension~=4.0 in ./venv_jenkins/lib/python3.10/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (4.0.3)
Requirement already satisfied: ipython>=6.1.0 in ./venv_jenkins/lib/python3.10/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (8.5.0)
Requirement already satisfied: jupyterlab-widgets~=3.0 in ./venv_jenkins/lib/python3.10/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (3.0.3)
Requirement already satisfied: traitlets>=4.3.1 in ./venv_jenkins/lib/python3.10/site-packages (from ipywidgets>=7.0.0->ipysankeywidget) (5.5.0)
Requirement already satisfied: jupyter-client>=6.1.12 in ./venv_jenkins/lib/python3.10/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (7.4.4)
Requirement already satisfied: pyzmq>=17 in ./venv_jenkins/lib/python3.10/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (24.0.1)
Requirement already satisfied: appnope in ./venv_jenkins/lib/python3.10/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (0.1.3)
Requirement already satisfied: debugpy>=1.0 in ./venv_jenkins/lib/python3.10/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (1.6.3)
Requirement already satisfied: psutil in ./venv_jenkins/lib/python3.10/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (5.9.3)
Requirement already satisfied: nest-asyncio in ./venv_jenkins/lib/python3.10/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (1.5.6)
Requirement already satisfied: tornado>=6.1 in ./venv_jenkins/lib/python3.10/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (6.2)
Requirement already satisfied: matplotlib-inline>=0.1 in ./venv_jenkins/lib/python3.10/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (0.1.6)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.10/site-packages (from ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (21.3)
Requirement already satisfied: backcall in ./venv_jenkins/lib/python3.10/site-packages (from ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (0.2.0)
Requirement already satisfied: pexpect>4.3 in ./venv_jenkins/lib/python3.10/site-packages (from ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (4.8.0)
Requirement already satisfied: pickleshare in ./venv_jenkins/lib/python3.10/site-packages (from ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (0.7.5)
Requirement already satisfied: decorator in ./venv_jenkins/lib/python3.10/site-packages (from ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (5.1.1)
Requirement already satisfied: jedi>=0.16 in ./venv_jenkins/lib/python3.10/site-packages (from ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (0.18.1)
Requirement already satisfied: prompt-toolkit<3.1.0,>3.0.1 in ./venv_jenkins/lib/python3.10/site-packages (from ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (3.0.31)
Requirement already satisfied: pygments>=2.4.0 in ./venv_jenkins/lib/python3.10/site-packages (from ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (2.13.0)
Requirement already satisfied: stack-data in ./venv_jenkins/lib/python3.10/site-packages (from ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (0.5.1)
Requirement already satisfied: parso<0.9.0,>=0.8.0 in ./venv_jenkins/lib/python3.10/site-packages (from jedi>=0.16->ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (0.8.3)
Requirement already satisfied: jupyter-core>=4.9.2 in ./venv_jenkins/lib/python3.10/site-packages (from jupyter-client>=6.1.12->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (4.11.2)
Requirement already satisfied: python-dateutil>=2.8.2 in ./venv_jenkins/lib/python3.10/site-packages (from jupyter-client>=6.1.12->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (2.8.2)
Requirement already satisfied: entrypoints in ./venv_jenkins/lib/python3.10/site-packages (from jupyter-client>=6.1.12->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (0.4)
Requirement already satisfied: ptyprocess>=0.5 in ./venv_jenkins/lib/python3.10/site-packages (from pexpect>4.3->ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (0.7.0)
Requirement already satisfied: wcwidth in ./venv_jenkins/lib/python3.10/site-packages (from prompt-toolkit<3.1.0,>3.0.1->ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (0.2.5)
Requirement already satisfied: pyparsing!=3.0.5,>=2.0.2 in ./venv_jenkins/lib/python3.10/site-packages (from packaging->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (3.0.9)
Requirement already satisfied: pure-eval in ./venv_jenkins/lib/python3.10/site-packages (from stack-data->ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (0.2.2)
Requirement already satisfied: executing in ./venv_jenkins/lib/python3.10/site-packages (from stack-data->ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (1.1.1)
Requirement already satisfied: asttokens in ./venv_jenkins/lib/python3.10/site-packages (from stack-data->ipython>=6.1.0->ipywidgets>=7.0.0->ipysankeywidget) (2.0.8)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.10/site-packages (from python-dateutil>=2.8.2->jupyter-client>=6.1.12->ipykernel>=4.5.1->ipywidgets>=7.0.0->ipysankeywidget) (1.16.0)
Installing collected packages: ipysankeywidget
Successfully installed ipysankeywidget-0.4.2

real	0m0.999s
user	0m0.720s
sys	0m0.118s
+++ pip_install plotly
+++ python /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip install --upgrade plotly
Collecting plotly
  Using cached plotly-5.10.0-py2.py3-none-any.whl (15.2 MB)
Collecting tenacity>=6.2.0
  Using cached tenacity-8.1.0-py3-none-any.whl (23 kB)
Installing collected packages: tenacity, plotly
Successfully installed plotly-5.10.0 tenacity-8.1.0

real	0m21.506s
user	0m7.473s
sys	0m6.666s
+++ pip_install pytest
+++ python /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip install --upgrade pytest
Collecting pytest
  Using cached pytest-7.2.0-py3-none-any.whl (316 kB)
Collecting tomli>=1.0.0
  Using cached tomli-2.0.1-py3-none-any.whl (12 kB)
Collecting exceptiongroup>=1.0.0rc8
  Using cached exceptiongroup-1.0.0rc9-py3-none-any.whl (12 kB)
Collecting pluggy<2.0,>=0.12
  Using cached pluggy-1.0.0-py2.py3-none-any.whl (13 kB)
Collecting iniconfig
  Using cached iniconfig-1.1.1-py2.py3-none-any.whl (5.0 kB)
Collecting attrs>=19.2.0
  Using cached attrs-22.1.0-py2.py3-none-any.whl (58 kB)
Requirement already satisfied: packaging in ./venv_jenkins/lib/python3.10/site-packages (from pytest) (21.3)
Requirement already satisfied: pyparsing!=3.0.5,>=2.0.2 in ./venv_jenkins/lib/python3.10/site-packages (from packaging->pytest) (3.0.9)
Installing collected packages: iniconfig, tomli, pluggy, exceptiongroup, attrs, pytest
Successfully installed attrs-22.1.0 exceptiongroup-1.0.0rc9 iniconfig-1.1.1 pluggy-1.0.0 pytest-7.2.0 tomli-2.0.1

real	0m1.410s
user	0m1.032s
sys	0m0.183s
++++ which coverage
+++ export COVERAGE=/Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/coverage
+++ COVERAGE=/Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/coverage
++ pip_install numpy
++ python /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip install --upgrade numpy
Requirement already satisfied: numpy in ./venv_jenkins/lib/python3.10/site-packages (1.23.4)

real	0m1.160s
user	0m1.042s
sys	0m0.087s
++ pip_install scipy
++ python /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip install --upgrade scipy
Collecting scipy
  Using cached scipy-1.9.3-cp310-cp310-macosx_10_9_x86_64.whl (34.3 MB)
Requirement already satisfied: numpy<1.26.0,>=1.18.5 in ./venv_jenkins/lib/python3.10/site-packages (from scipy) (1.23.4)
Installing collected packages: scipy
Successfully installed scipy-1.9.3

real	0m5.449s
user	0m3.452s
sys	0m0.887s
++ pip_install pint
++ python /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip install --upgrade pint
Collecting pint
  Using cached Pint-0.19.2-py3-none-any.whl
Installing collected packages: pint
Successfully installed pint-0.19.2

real	0m1.375s
user	0m0.875s
sys	0m0.143s
++ git clone --depth 1 https://github.com/convexengineering/gpkit.git /Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit
Cloning into '/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit'...
++ python /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip install -v --no-cache-dir --no-deps -e /Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit
Using pip 22.3 from /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/pip (python 3.10)
Obtaining file:///Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit
  Preparing metadata (setup.py): started
  Running command python setup.py egg_info
  running egg_info
  creating /private/var/folders/qk/9zkf0syn149fvhw9mh7hgd5w0000gp/T/pip-pip-egg-info-sh137br_/gpkit.egg-info
  writing /private/var/folders/qk/9zkf0syn149fvhw9mh7hgd5w0000gp/T/pip-pip-egg-info-sh137br_/gpkit.egg-info/PKG-INFO
  writing dependency_links to /private/var/folders/qk/9zkf0syn149fvhw9mh7hgd5w0000gp/T/pip-pip-egg-info-sh137br_/gpkit.egg-info/dependency_links.txt
  writing requirements to /private/var/folders/qk/9zkf0syn149fvhw9mh7hgd5w0000gp/T/pip-pip-egg-info-sh137br_/gpkit.egg-info/requires.txt
  writing top-level names to /private/var/folders/qk/9zkf0syn149fvhw9mh7hgd5w0000gp/T/pip-pip-egg-info-sh137br_/gpkit.egg-info/top_level.txt
  writing manifest file '/private/var/folders/qk/9zkf0syn149fvhw9mh7hgd5w0000gp/T/pip-pip-egg-info-sh137br_/gpkit.egg-info/SOURCES.txt'
  reading manifest file '/private/var/folders/qk/9zkf0syn149fvhw9mh7hgd5w0000gp/T/pip-pip-egg-info-sh137br_/gpkit.egg-info/SOURCES.txt'
  adding license file 'LICENSE'
  writing manifest file '/private/var/folders/qk/9zkf0syn149fvhw9mh7hgd5w0000gp/T/pip-pip-egg-info-sh137br_/gpkit.egg-info/SOURCES.txt'
  Preparing metadata (setup.py): finished with status 'done'
Installing collected packages: gpkit
  Running setup.py develop for gpkit
    Running command python setup.py develop
    running develop
    /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/setuptools/command/easy_install.py:144: EasyInstallDeprecationWarning: easy_install command is deprecated. Use build and pip and other standards-based tools.
      warnings.warn(
    /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/setuptools/command/install.py:34: SetuptoolsDeprecationWarning: setup.py install is deprecated. Use build and pip and other standards-based tools.
      warnings.warn(
    running egg_info
    creating gpkit.egg-info
    writing gpkit.egg-info/PKG-INFO
    writing dependency_links to gpkit.egg-info/dependency_links.txt
    writing requirements to gpkit.egg-info/requires.txt
    writing top-level names to gpkit.egg-info/top_level.txt
    writing manifest file 'gpkit.egg-info/SOURCES.txt'
    reading manifest file 'gpkit.egg-info/SOURCES.txt'
    adding license file 'LICENSE'
    writing manifest file 'gpkit.egg-info/SOURCES.txt'
    running build_ext
    Creating /Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/gpkit.egg-link (link to .)
    Adding gpkit 1.1.1 to easy-install.pth file

    Installed /Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit
Successfully installed gpkit
++ source /Users/jenkins/workspace/CE_RM_jho_Push/mosek/JenkinsGPkit/print_versions.sh
+++ python -c 'import scipy; print(scipy.__version__)'
1.9.3
+++ python -c 'import numpy; print(numpy.__version__)'
1.23.4
+++ python -c 'import pint; print(pint.__version__)'
0.19.2
+++ python -c 'import gpkit; print(gpkit.settings)'
/bin/sh: mskexpopt: command not found
No filename given.
Usage:
     mskexpopt FILENAME [-primal] [-dual] [-p parameterfile]
Return code: 1052
Description: MSK_RES_ERR_FILE_OPEN [An error occurred while opening a file.]
/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/small_scripts.py:71: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if sweep is "sweep" and (isinstance(value, Iterable) or  # pylint: disable=literal-comparison
/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/nomials/math.py:586: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if posy is 0:  # pylint: disable=literal-comparison
/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/nomials/math.py:590: SyntaxWarning: "is" with a literal. Did you mean "=="?
  if negy is 0:  # pylint: disable=literal-comparison
/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/breakdowns.py:390: SyntaxWarning: "is" with a literal. Did you mean "=="?
  subhmap.units = None if units is 1 else units
................................................................................................................................................................/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/constraints/sgp.py:177: UserWarning: SGP not convergent: Cost rose by 0.0099% (9.99901e-31 to 1e-30) on GP solve 2. Details can be found in `m.program.results` or by solving at a higher verbosity. Note convergence is not guaranteed for models with SignomialEqualities.
  pywarnings.warn(
..................................................EE.......................................................................
======================================================================
ERROR: test_breakdowns_mosek_cli (gpkit.tests.t_examples.TestExamples)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/tests/helpers.py", line 55, in test
    testfn(name, import_dict, path)(self)
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/tests/helpers.py", line 90, in test
    imported[name] = importlib.import_module(name)
  File "/usr/local/Cellar/python@3.10/3.10.6_2/Frameworks/Python.framework/Versions/3.10/lib/python3.10/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 883, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/docs/source/examples/breakdowns.py", line 11, in <module>
    sol = pickle.load(open(dirpath+"solar_13.p", "rb"))
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/pint/util.py", line 429, in __setstate__
    self._d, self._one, self._non_int_type = state
ValueError: too many values to unpack (expected 3)

======================================================================
ERROR: test_breakdowns_mosek_conif (gpkit.tests.t_examples.TestExamples)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/tests/helpers.py", line 55, in test
    testfn(name, import_dict, path)(self)
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/tests/helpers.py", line 90, in test
    imported[name] = importlib.import_module(name)
  File "/usr/local/Cellar/python@3.10/3.10.6_2/Frameworks/Python.framework/Versions/3.10/lib/python3.10/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 883, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/docs/source/examples/breakdowns.py", line 11, in <module>
    sol = pickle.load(open(dirpath+"solar_13.p", "rb"))
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/lib/python3.10/site-packages/pint/util.py", line 429, in __setstate__
    self._d, self._one, self._non_int_type = state
ValueError: too many values to unpack (expected 3)

----------------------------------------------------------------------
Ran 283 tests in 26.302s

FAILED (errors=2)
Found no installed solvers, beginning a build.
# Building GPkit version 1.1
# Moving to the directory from which GPkit was imported.

Attempting to find and build solvers:

# Looking for `mosek_cli`
#   (A "success" is if mskexpopt complains that
#    we haven't specified a file for it to open.)
#     Calling 'mskexpopt'
##
### CALL BEGINS
### CALL ENDS
##
# Looks like `mskexpopt` was not found in the default PATH,
#  so let's try locating that binary ourselves.
#   Adding /Users/jenkins/mosek/8/tools/platform/osx64x86/bin to the PATH
#     Calling 'mskexpopt'
##
### CALL BEGINS
### CALL ENDS
##

Found mosek_cli in /Users/jenkins/mosek/8/tools/platform/osx64x86/bin

# Looking for `mosek_conif`
#   Trying to import mosek...

Found mosek_conif in the default PYTHONPATH

# Looking for `cvxopt`
#   Trying to import cvxopt...
# Did not find
# cvxopt
Replaced found solvers (['mosek_cli', 'mosek_conif']) with environment var GPKITSOLVERS (mosek_cli, mosek_conif)

Found the following solvers: mosek_cli, mosek_conif
#     Replacing directory env

GPkit is now installed with solver(s) ['mosek_cli', 'mosek_conif']
To incorporate new solvers at a later date, run `gpkit.build()`.

If any tests didn't pass, please post the output above
(starting from "Found no installed solvers, beginning a build.")
to gpkit@mit.edu or https://github.com/convexengineering/gpkit/issues/new
so we can prevent others from having these errors.

The same goes for any other bugs you encounter with GPkit:
send 'em our way, along with any interesting models, speculative features,
comments, discussions, or clarifications you feel like sharing.

Finally, we hope you find our documentation (https://gpkit.readthedocs.io/)
and engineering-design models (https://github.com/convexengineering/gplibrary/)
to be useful resources for your own applications.

Enjoy!

{'installed_solvers': ['mosek_cli', 'mosek_conif'], 'mosek_bin_dir': '/Users/jenkins/mosek/8/tools/platform/osx64x86/bin', 'default_solver': 'mosek_cli', 'just built!': True}
++ export MSK_IPAR_NUM_THREADS=2
++ MSK_IPAR_NUM_THREADS=2
++ export MKL_NUM_THREADS=2
++ MKL_NUM_THREADS=2
++ export NUMEXPR_NUM_THREADS=2
++ NUMEXPR_NUM_THREADS=2
++ export OPENBLAS_NUM_THREADS=2
++ OPENBLAS_NUM_THREADS=2
++ export OMP_NUM_THREADS=2
++ OMP_NUM_THREADS=2
++ python -c 'from gpkit.tests.test_repo import test_repo; test_repo(xmloutput=True)'
Cloning into 'gplibrary'...
Obtaining file:///Users/jenkins/workspace/CE_RM_jho_Push/mosek/gplibrary
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Installing collected packages: gpkitmodels
  Running setup.py develop for gpkitmodels
Successfully installed gpkitmodels
Requirement already satisfied: pandas in ./venv_jenkins/lib/python3.10/site-packages (1.5.1)
Requirement already satisfied: python-dateutil>=2.8.1 in ./venv_jenkins/lib/python3.10/site-packages (from pandas) (2.8.2)
Requirement already satisfied: numpy>=1.21.0 in ./venv_jenkins/lib/python3.10/site-packages (from pandas) (1.23.4)
Requirement already satisfied: pytz>=2020.1 in ./venv_jenkins/lib/python3.10/site-packages (from pandas) (2022.5)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.10/site-packages (from python-dateutil>=2.8.1->pandas) (1.16.0)
Collecting git+https://github.com/hoburg/gpfit.git
  Cloning https://github.com/hoburg/gpfit.git to /private/var/folders/qk/9zkf0syn149fvhw9mh7hgd5w0000gp/T/pip-req-build-kgtc4pda
  Running command git clone --filter=blob:none --quiet https://github.com/hoburg/gpfit.git /private/var/folders/qk/9zkf0syn149fvhw9mh7hgd5w0000gp/T/pip-req-build-kgtc4pda
  Resolved https://github.com/hoburg/gpfit.git to commit 3c8025f12ba5360fdeb71c270e55d4c93e1676fd
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: numpy in ./venv_jenkins/lib/python3.10/site-packages (from gpfit==0.2.0) (1.23.4)
Requirement already satisfied: scipy in ./venv_jenkins/lib/python3.10/site-packages (from gpfit==0.2.0) (1.9.3)
Requirement already satisfied: gpkit in ./gpkit (from gpfit==0.2.0) (1.1.1)
Requirement already satisfied: matplotlib>=3.3.2 in ./venv_jenkins/lib/python3.10/site-packages (from gpfit==0.2.0) (3.6.1)
Requirement already satisfied: pytest>=6.2.5 in ./venv_jenkins/lib/python3.10/site-packages (from gpfit==0.2.0) (7.2.0)
Collecting pytest-mpl>=0.13
  Using cached pytest_mpl-0.16.1-py3-none-any.whl (28 kB)
Requirement already satisfied: fonttools>=4.22.0 in ./venv_jenkins/lib/python3.10/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (4.38.0)
Requirement already satisfied: kiwisolver>=1.0.1 in ./venv_jenkins/lib/python3.10/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (1.4.4)
Requirement already satisfied: pyparsing>=2.2.1 in ./venv_jenkins/lib/python3.10/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (3.0.9)
Requirement already satisfied: contourpy>=1.0.1 in ./venv_jenkins/lib/python3.10/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (1.0.5)
Requirement already satisfied: packaging>=20.0 in ./venv_jenkins/lib/python3.10/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (21.3)
Requirement already satisfied: cycler>=0.10 in ./venv_jenkins/lib/python3.10/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (0.11.0)
Requirement already satisfied: pillow>=6.2.0 in ./venv_jenkins/lib/python3.10/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (9.2.0)
Requirement already satisfied: python-dateutil>=2.7 in ./venv_jenkins/lib/python3.10/site-packages (from matplotlib>=3.3.2->gpfit==0.2.0) (2.8.2)
Requirement already satisfied: tomli>=1.0.0 in ./venv_jenkins/lib/python3.10/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (2.0.1)
Requirement already satisfied: pluggy<2.0,>=0.12 in ./venv_jenkins/lib/python3.10/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.0.0)
Requirement already satisfied: attrs>=19.2.0 in ./venv_jenkins/lib/python3.10/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (22.1.0)
Requirement already satisfied: iniconfig in ./venv_jenkins/lib/python3.10/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.1.1)
Requirement already satisfied: exceptiongroup>=1.0.0rc8 in ./venv_jenkins/lib/python3.10/site-packages (from pytest>=6.2.5->gpfit==0.2.0) (1.0.0rc9)
Collecting Jinja2
  Using cached Jinja2-3.1.2-py3-none-any.whl (133 kB)
Requirement already satisfied: pint>=0.8.1 in ./venv_jenkins/lib/python3.10/site-packages (from gpkit->gpfit==0.2.0) (0.19.2)
Requirement already satisfied: plotly in ./venv_jenkins/lib/python3.10/site-packages (from gpkit->gpfit==0.2.0) (5.10.0)
Requirement already satisfied: adce in ./venv_jenkins/lib/python3.10/site-packages (from gpkit->gpfit==0.2.0) (1.3.3.2)
Collecting cvxopt>=1.1.8
  Using cached cvxopt-1.3.0-cp310-cp310-macosx_10_9_universal2.whl (3.1 MB)
Requirement already satisfied: six>=1.5 in ./venv_jenkins/lib/python3.10/site-packages (from python-dateutil>=2.7->matplotlib>=3.3.2->gpfit==0.2.0) (1.16.0)
Collecting MarkupSafe>=2.0
  Using cached MarkupSafe-2.1.1-cp310-cp310-macosx_10_9_x86_64.whl (13 kB)
Requirement already satisfied: tenacity>=6.2.0 in ./venv_jenkins/lib/python3.10/site-packages (from plotly->gpkit->gpfit==0.2.0) (8.1.0)
Building wheels for collected packages: gpfit
  Building wheel for gpfit (setup.py): started
  Building wheel for gpfit (setup.py): finished with status 'done'
  Created wheel for gpfit: filename=gpfit-0.2.0-py3-none-any.whl size=493925 sha256=d5028e67d1f69e0ba19292f0c04b69c28ff485c6b44fa342c4b4dbc3e0b16af2
  Stored in directory: /private/var/folders/qk/9zkf0syn149fvhw9mh7hgd5w0000gp/T/pip-ephem-wheel-cache-fapbaz06/wheels/cc/a6/14/d767070d8acaa1a20cc37a286b693f7ab2fdbe7233634e3254
Successfully built gpfit
Installing collected packages: MarkupSafe, cvxopt, Jinja2, pytest-mpl, gpfit
Successfully installed Jinja2-3.1.2 MarkupSafe-2.1.1 cvxopt-1.3.0 gpfit-0.2.0 pytest-mpl-0.16.1

Running tests...
----------------------------------------------------------------------
adding test for 'model/jho.py'
adding test for 'model/print_perf.py'
EEEE
======================================================================
ERROR [0.359s]: test_model_jho_py_mosek_cli (gpkit.tests.from_paths.TestFiles)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/tests/helpers.py", line 55, in test
    testfn(name, import_dict, path)(self)
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/tests/from_paths.py", line 48, in <lambda>
    lambda self: getattr(self, name)()))  # pylint:disable=undefined-variable
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/tests/from_paths.py", line 34, in test_fn
    mod = __import__(os.path.basename(path)[:-3])
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/model/jho.py", line 5, in <module>
    from gpkitmodels.GP.aircraft.engine.gas_engine import Engine
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gplibrary/gpkitmodels/GP/aircraft/engine/gas_engine.py", line 7, in <module>
    from gpfit.fit_constraintset import FitCS
ModuleNotFoundError: No module named 'gpfit.fit_constraintset'

======================================================================
ERROR [0.002s]: test_model_jho_py_mosek_conif (gpkit.tests.from_paths.TestFiles)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/tests/helpers.py", line 55, in test
    testfn(name, import_dict, path)(self)
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/tests/from_paths.py", line 48, in <lambda>
    lambda self: getattr(self, name)()))  # pylint:disable=undefined-variable
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/tests/from_paths.py", line 34, in test_fn
    mod = __import__(os.path.basename(path)[:-3])
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/model/jho.py", line 5, in <module>
    from gpkitmodels.GP.aircraft.engine.gas_engine import Engine
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gplibrary/gpkitmodels/GP/aircraft/engine/gas_engine.py", line 7, in <module>
    from gpfit.fit_constraintset import FitCS
ModuleNotFoundError: No module named 'gpfit.fit_constraintset'

======================================================================
ERROR [0.004s]: test_model_print_perf_py_mosek_cli (gpkit.tests.from_paths.TestFiles)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/tests/helpers.py", line 55, in test
    testfn(name, import_dict, path)(self)
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/tests/from_paths.py", line 48, in <lambda>
    lambda self: getattr(self, name)()))  # pylint:disable=undefined-variable
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/tests/from_paths.py", line 34, in test_fn
    mod = __import__(os.path.basename(path)[:-3])
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/model/print_perf.py", line 4, in <module>
    from jho import Mission
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/model/jho.py", line 5, in <module>
    from gpkitmodels.GP.aircraft.engine.gas_engine import Engine
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gplibrary/gpkitmodels/GP/aircraft/engine/gas_engine.py", line 7, in <module>
    from gpfit.fit_constraintset import FitCS
ModuleNotFoundError: No module named 'gpfit.fit_constraintset'

======================================================================
ERROR [0.002s]: test_model_print_perf_py_mosek_conif (gpkit.tests.from_paths.TestFiles)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/tests/helpers.py", line 55, in test
    testfn(name, import_dict, path)(self)
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/tests/from_paths.py", line 48, in <lambda>
    lambda self: getattr(self, name)()))  # pylint:disable=undefined-variable
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gpkit/gpkit/tests/from_paths.py", line 34, in test_fn
    mod = __import__(os.path.basename(path)[:-3])
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/model/print_perf.py", line 4, in <module>
    from jho import Mission
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/model/jho.py", line 5, in <module>
    from gpkitmodels.GP.aircraft.engine.gas_engine import Engine
  File "/Users/jenkins/workspace/CE_RM_jho_Push/mosek/gplibrary/gpkitmodels/GP/aircraft/engine/gas_engine.py", line 7, in <module>
    from gpfit.fit_constraintset import FitCS
ModuleNotFoundError: No module named 'gpfit.fit_constraintset'

----------------------------------------------------------------------
Ran 4 tests in 0.367s

FAILED (errors=4)

Generating XML reports...

SETTINGS
defaultdict(<class 'str'>, {'pip install': 'pandas, git+https://github.com/hoburg/gpfit.git', 'gpkit-models branch': 'master', 'skipsolvers': 'cvxopt'})

calling ['git', 'clone', '--depth', '1', '-b', 'master', 'https://github.com/convexengineering/gplibrary.git']
  attempt 1
calling ['python', '/Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip', 'install', '--no-cache-dir', '--no-deps', '-e', 'gplibrary']
  attempt 1
calling ['python', '/Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip', 'install', 'pandas']
  attempt 1
calling ['python', '/Users/jenkins/workspace/CE_RM_jho_Push/mosek/venv_jenkins/bin/pip', 'install', 'git+https://github.com/hoburg/gpfit.git']
  attempt 1
[Execution node] check if [macys_VM] is in [[windows10x64, windows7x64]]
Run condition [Execution node ] preventing perform for step [Execute Windows batch command]
Build step 'Console output (build log) parsing' changed build result to FAILURE
Recording test results
[Checks API] No suitable checks publisher found.
[WS-CLEANUP] Deleting project workspace...
[WS-CLEANUP] Deferred wipeout is used...
[WS-CLEANUP] done
Finished: FAILURE